Module java.desktop
Package javax.swing.plaf.basic

# Class BasicScrollBarUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  BasicScrollBarUI

public class BasicScrollBarUI.PropertyChangeHandler extends Object implements PropertyChangeListener
Property change handler

## Constructor Summary

Constructors
Constructor
Description
`PropertyChangeHandler()`
Constructs a `PropertyChangeHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`
This method gets called when a bound property is changed.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyChangeHandler

public PropertyChangeHandler()
Constructs a `PropertyChangeHandler`.

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.